'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (command, flags) {
    (function () {
        switch (command) {
            case 'test':
                var filePath = _path2.default.resolve(process.cwd(), flags.src || defaults.file);
                var config = JSON.parse(_gracefulFs2.default.readFileSync(filePath), 'utf8');

                var _Object$assign = Object.assign({}, defaults.config, config),
                    host = _Object$assign.host,
                    tests = _Object$assign.tests,
                    platforms = _Object$assign.platforms;

                platforms.map(function (platform) {
                    return function () {
                        return (0, _runner2.default)(tests, host, platform);
                    };
                }).reduce(_q2.default.when, (0, _q2.default)()); // eslint-disable-line
                break;
            default:
                console.log('\n            Don\'t know \'' + command + '\'.\n            Please use ' + _chalk2.default.green('chatic help') + ' for getting more information.\n        ');
        }
    })();
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _gracefulFs = require('graceful-fs');

var _gracefulFs2 = _interopRequireDefault(_gracefulFs);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _q = require('q');

var _q2 = _interopRequireDefault(_q);

var _runner = require('./runner');

var _runner2 = _interopRequireDefault(_runner);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaults = {
    file: '.chaticconf',
    config: {
        host: 'https://demo.chatic.io',
        tests: './test/**/*.js',
        platforms: []
    }
};

Object.freeze(defaults);